package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.DicCode;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface DiccodeMapper {

    List<DicCode> listByRecord(HashMap<String, String> map);

    List<DicCode> listFuzzyByRecord(HashMap<String, String> map);

    List<DicCode> listAllByType(String codeType);

}
